import { DomWrapper, EventArgs, Base, Type } from "igniteui-react-core/ES2015/type";
import { Rect } from "igniteui-react-core/ES2015/Rect";
export declare class ZoomSliderWidget extends Base {
    private n;
    private l;
    private windowRectChangedHandler;
    constructor();
    b: () => void;
    static a(externalChart_: any, host_: DomWrapper): ZoomSliderWidget;
    private c;
    readonly e: boolean;
    private v;
    w: Rect;
    h: number;
    g: number;
    j: number;
    i: number;
    f: number;
    private m;
    private s;
    windowRectChanged: (sender: any, e: EventArgs) => void;
    hide(): void;
    show(): void;
    r(): void;
    private d;
    p(): void;
    static $t: Type;
}
